Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.changedetection.state
Class DefaultDirectoryStateChangeDetecter

    java.lang.Object
      org.gradle.api.changedetection.state.DefaultDirectoryStateChangeDetecter

All Implemented Interfaces:
  DirectoryStateChangeDetecter

    class DefaultDirectoryStateChangeDetecter
    extends java.lang.Object

author:
  Tom Eyckmans

Constructor Summary
`DefaultDirectoryStateChangeDetecter(File directoryToProcess, IoFactory ioFactory, DirectoryStateBuilder directoryStateBuilder, DigesterCache digesterCache, DigesterUtil digesterUtil, DirectoryListFileCreator directoryListFileCreator, StateFileUtil stateFileUtil, java.util.concurrent.BlockingQueue stateChangeEventQueue, BlockingQueueItemProducer changeProcessorEventProducer, java.util.List directoryStateDigestComparators, StateFileChangeListenerUtil stateFileChangeListenerUtil, StateComparator stateComparator)`

Method Summary
`void` | `detectChanges(ChangeProcessor changeProcessor)`
`BlockingQueueItemProducer` | `getChangeProcessorEventProducer()`
`File` | `getDirectoryToProcess()`
`StateFileChangeListenerUtil` | `getStateFileChangeListenerUtil()`
`StateFileUtil` | `getStateFileUtil()`
`void` | `submitDirectoryStateDigestComparator(DirectoryStateDigestComparator directoryStateDigestComparator)`

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### DefaultDirectoryStateChangeDetecter

    public DefaultDirectoryStateChangeDetecter(File directoryToProcess, IoFactory ioFactory, DirectoryStateBuilder directoryStateBuilder, DigesterCache digesterCache, DigesterUtil digesterUtil, DirectoryListFileCreator directoryListFileCreator, StateFileUtil stateFileUtil, java.util.concurrent.BlockingQueue stateChangeEventQueue, BlockingQueueItemProducer changeProcessorEventProducer, java.util.List directoryStateDigestComparators, StateFileChangeListenerUtil stateFileChangeListenerUtil, StateComparator stateComparator)

Method Detail

### detectChanges

    public void detectChanges(ChangeProcessor changeProcessor)

### getChangeProcessorEventProducer

    public BlockingQueueItemProducer getChangeProcessorEventProducer()

### getDirectoryToProcess

    public File getDirectoryToProcess()

### getStateFileChangeListenerUtil

    public StateFileChangeListenerUtil getStateFileChangeListenerUtil()

### getStateFileUtil

    public StateFileUtil getStateFileUtil()

### submitDirectoryStateDigestComparator

    public void submitDirectoryStateDigestComparator(DirectoryStateDigestComparator directoryStateDigestComparator)

Groovy Documentation